Package org.jcsp.net.settings

# Class AddressSetting

java.lang.Object
org.jcsp.net.settings.Setting
org.jcsp.net.settings.AddressSetting

public class AddressSetting extends Setting
Used internally within the JCSP network infrastructure to represent an address setting.

Author:
  Quickstone Technologies Limited

## Constructor Summary

Constructors
Constructor
Description
`AddressSetting(String name, String value, String protocolID)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`addAlternate(AddressSetting alternate)`
`boolean`
`equals(Object o)`
`AddressSetting`
`getAlternate()`
`String`
`getProtocolID()`
`String`
`toString()`

### Methods inherited from class org.jcsp.net.settings.Setting

`getName, getValue, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AddressSetting

public AddressSetting(String name, String value, String protocolID)

## Method Details

### getProtocolID

public String getProtocolID()

### getAlternate

public AddressSetting getAlternate()

### addAlternate

public boolean addAlternate(AddressSetting alternate)

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Setting`

### toString

public String toString()

Overrides:
  `toString` in class `Setting`